SDL_WaitSemaphore(3)

NAME
SDL_WaitSemaphore - Wait until a semaphore has a positive value and then decrements it.

HEADER FILE
Defined in SDL3/SDL_mutex.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_WaitSemaphore(SDL_Semaphore *sem);

DESCRIPTION
This function suspends the calling thread until either the semaphore pointed to by sem has a positive value or the call is interrupted by a signal or error. If the call is successful it will atomically decrement the semaphore value. This function is the equivalent of calling SDL_WaitSemaphoreTimeout () with a time length of -1.

FUNCTION PARAMETERS

sem the semaphore wait on

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_PostSemaphore(3), SDL_TryWaitSemaphore(3), SDL_WaitSemaphoreTimeout(3)